/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
@import "../scss/ui-datepicker";
$prefix:pymes;

/*CUSTOM*/
body{
    padding-top: 110px;
}
.top {
    width: calc(100% + 2rem);
    background: #ddd;
    padding: 5px .5rem;
    font-size: 14px;
    display: inline-block;
    margin-right: -1rem;
    position: relative;
    margin-left: -1rem;
}
h1,h2,h3,h4, .btn.navbar{
    font-family: 'Oswald', sans-serif;
}
.logo{
    max-height: 76px;
}
.fixed-top-custom{
    .top{
        display: none;
    }
}
.main{
    margin-top: 25px;
}
.card-img-top,
.btn, .card{
  border-radius:0;
}
.navbar{
    box-shadow: 1px 2px 5px -2px rgba(0, 0, 0, 0.3);
    a{
        color:#4b5664;
    }
    .btn{
        border: 0;
    }
}
.dropdown-menu{
    margin-top:0;
    border:0;
    border-bottom:1px solid;
    padding-bottom:0;
    border-radius: 0;
    a{
        &:hover,
        &:focus{
            color:white;
        }
    }
}
.dropdown-item.active, .dropdown-item:active{
    background-color:white;
}

.tour-front{
    position: relative;
    margin-bottom:15px;
    .tour-title{
        position: absolute;
        bottom: 0;
        width: 100%;
        a{
            color: white;
            text-shadow: 0px 1px 3px black;
            font-size: 1.2rem;
            font-weight: bold;
            text-decoration: none;
        }
    }
    &:hover,
    &:focus{
        a{
            text-shadow: 0px 2px 3px black;
        }
    }
}

.dropdown-item{
    padding-right: .5rem;
    padding-left: 1.4rem;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
    border-top: thin solid ;
    position:relative;
    &:hover,
    &:focus{
        padding-left: 1.8rem;
    }
  &:before{
    font: normal normal normal 12px/1 FontAwesome;
    content: "\f178";
    left: 5px;
    position: absolute;
    top: 30%;
    font-size: 14px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
  }
  &:hover, &:active{
    &:before{
    left: 12px;
    }
  }
}
.box-sticky {
    z-index: 10;
    position: sticky;
    top: 50px;
    border: 1px solid #ddd;
}
.tour-head{
    border: 1px solid #ddd;
    padding-top: 15px;
}
.fixed-top-custom{
    .logo{
        max-height:36px;
    }
    .lang{
        height:15px;
    }
    .navbar-brand{
        padding:0;
    }
    padding-top: .2rem;
    padding-bottom: .2rem;
}
.node-ft .form,
.node-fc .form {
    margin: 0 auto;
    max-width: 720px;
    border: 1px solid #ddd;
    padding: 25px 15px;
    background-color: #f1eded;
}
.card-body {
    padding: 0.5rem;
}
.node-t .form{
    border-color: #f0f2f8;
    background-color: #f0f2f8;
    padding:15px;
}
.btn-more {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    text-align: center;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  transition: all 0.5s;
    position: absolute;
    width:100%;
    bottom:0;
    height: 38px;
    right: 0;
}
.field-duration{
    font-size: 12px;
    color:#666;
}
.tour-thumb{
    padding-bottom: 38px;
    .card-title a{color:#999;}
    &:hover,
    &:focus{
        .btn-more{
            height: 100%;
            font-size: 32px;
        }
    }
}
.footer{
    background-color: #373337;
    color: rgba(255,255,255,0.5);
    a{
        color:white;
        &:hover{
        text-decoration:none;
        color: rgba(255,255,255,0.7);

        }
    }
    img{
    filter: url(#grayscale);
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: grayscale(100%);
    filter: Gray();
    }
    .logo-footer{
        max-height:50px;
    }
    h4{
        color: #ffffff;
        margin-bottom: 1.2em;
        margin-top: 36px;
    }
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    .tour-front{
        margin-bottom:0px;
    }
    .navbar{
    padding-top: 0;
    padding-bottom: 0;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .footer{
        h4{
            margin-top: 15px;
        }
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .navbar{
    padding-right: 0;
    max-height: 86px;
    }
    .dropdown.show>.dropdown-menu,
    .dropdown:hover>.dropdown-menu {
        display: block;
        border-top: 1.40rem solid white;
        padding-top: 0;
    }
    .contact {
        .wrap-info{
            text-align:right;
        }
        .btn{
            padding-top: 2rem;
            padding-bottom: 2rem;
        }
    }
    .fixed-top-custom{
        .contact .btn{
            padding:0.75rem .75rem;
        }
        .logo{
            max-height:45px;
        }
        .lang{
            height:15px;
        }
        .wrap-info{
            font-size:12px;
        }
        .navbar-brand{
            padding:0;
        }
        .dropdown.show>.dropdown-menu,
        .dropdown:hover>.dropdown-menu {
            border-top: 0;
        }
    }
    .s-l{
        padding:0;
    }
    body{
    padding-top: 84px;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text, $hover, $link, $opposite, $light in $darks {
  .#{$prefix}#{$css} {
    .navbar-toggler {
        border-color: $color;
    }
    .icon-bar{
    background:$color;
    }
    .ui-datepicker{
      border-color:$color;
      box-shadow: 0 0 8px rgba($color,.6);
      .ui-datepicker-calendar
      {
        td a{
            color:$color;
        }
        .ui-datepicker-current-day{
            background-color:$color;
            a{color:$text;}
        }
      }
    }
    .main a{
    color:darken($color,5%);
    }
    .teaser a {
        color: darken($color,5%);
    }
    a.btn {
        color: white;
    }
    .text-main{
        color:$color;
    }
    .text-inverse{
        color:$text;
    }
    .navbar-nav .nav-link,
    {
        &:hover,
        &:focus
        {
            color:$color;
        }
    }
    .dropdown-menu{
        border-color:$color;
        a{
            &:hover,
            &:focus{
                background-color:$color;
            }
        }
    }
    .dropdown-item{
        border-color:$color;
    }
    .btn-main{
        background-color: $color;
        border-color: darken($color,8%);
        color:$text;
        &:hover{
            background-color: darken($color,8%);
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }
    .tour-thumb{
        &:hover,
        &:focus{
            .btn-more{
                background:repeating-linear-gradient(-45deg,rgba(lighten($color,5%),0.8) 0%,rgba(lighten($color,5%),0.8) 1.3%,rgba(lighten($color,15%),0.8) 1.4%,rgba(lighten($color,15%),0.8) 2.4%)
            }
        }
    }
    .btn-opposite{
      background-color: $opposite;
      border-color: darken($opposite,5%);
      color:$text;
      &:hover{
          background-color: darken($opposite,4%);
      }
      &:focus{
        -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
        box-shadow: 0 0 0 2px rgba($color,.5);
      }
    }
    .form-control:focus {
        border-color: $color;
    }
    .bg-main{
      background-color: $color;
      color: $text;
    }
  }
}
/* FIX */
.bg-primary{}